DROP TABLE IF EXISTS `teresstat`;

CREATE TABLE `teresstat` (
	`sport_code` TEXT NOT NULL,
	`sport_gendatetime` TEXT NOT NULL,
	`sport_sportln` TEXT NOT NULL,
	`event_enddate` INT NOT NULL,
	`event_eventcod` INT NOT NULL,
	`event_eventcod_loc` INT NOT NULL,
	`event_eventdesc` TEXT NOT NULL,
	`event_sex` TEXT NOT NULL,
	`event_startdate` INT NOT NULL,
	`event_statuscod` INT NOT NULL,
	`event_statusln` TEXT NOT NULL,
	`phase_phasecode` INT NOT NULL,
	`phase_phaseld` TEXT NOT NULL,
	`phase_phaseorder` INT NOT NULL,
	`phase_pool` INT NOT NULL,
	`evunit_date` INT NOT NULL,
	`evunit_evunitcode` INT NOT NULL,
	`evunit_evunitdesc` TEXT NOT NULL,
	`evunit_statuscod` INT NOT NULL,
	`evunit_statusln` TEXT NOT NULL,
	`evunit_time` TEXT NOT NULL,
	`evunit_venueld` TEXT NOT NULL,
	`evunitinfote_courtid` TEXT NOT NULL,
	`evunitinfote_courtln` TEXT NOT NULL,
	`evunitinfote_courtsn` TEXT NOT NULL,
	`evunitinfote_group` TEXT NOT NULL,
	`evunitinfote_gs1a` TEXT NOT NULL,
	`evunitinfote_gs1b` TEXT NOT NULL,
	`evunitinfote_gs2b` TEXT NOT NULL,
	`evunitinfote_gs3b` TEXT NOT NULL,
	`evunitinfote_match` INT NOT NULL,
	`evunitinfote_matchtime` TEXT NOT NULL,
	`evunitinfote_numsets` INT NOT NULL,
	`evunitinfote_times1` TEXT NOT NULL,
	`evunitinfote_times2` TEXT NOT NULL,
	`evunitinfote_times3` TEXT NOT NULL,
	`evunitinfote_winner` TEXT NOT NULL,
	`contender_order` INT NOT NULL,
	`person_birthdate` TEXT NOT NULL,
	`person_ctrycod` TEXT NOT NULL,
	`person_ctryln` TEXT NOT NULL,
	`person_ctrysn` TEXT NOT NULL,
	`person_heightcm` INT NOT NULL,
	`person_ln` TEXT NOT NULL,
	`person_register` INT NOT NULL,
	`person_sexcod` TEXT NOT NULL,
	`person_sn` TEXT NOT NULL,
	`person_typeln` TEXT NOT NULL,
	`person_weightgr` INT NOT NULL,
	`personevunitstatste_ace` TEXT NOT NULL,
	`personevunitstatste_backhand_w` TEXT NOT NULL,
	`personevunitstatste_break_pts_conv` TEXT NOT NULL,
	`personevunitstatste_break_pts_conv_percent` TEXT NOT NULL,
	`personevunitstatste_break_pts_oppo` TEXT NOT NULL,
	`personevunitstatste_double_fault` TEXT NOT NULL,
	`personevunitstatste_f_srv_percent` TEXT NOT NULL,
	`personevunitstatste_f_srv_pts_play` TEXT NOT NULL,
	`personevunitstatste_f_srv_pts_w` TEXT NOT NULL,
	`personevunitstatste_f_srv_speed_mph` TEXT NOT NULL,
	`personevunitstatste_f_srv_w_percent` TEXT NOT NULL,
	`personevunitstatste_forehand_w` TEXT NOT NULL,
	`personevunitstatste_net_pts_play` TEXT NOT NULL,
	`personevunitstatste_net_pts_w` TEXT NOT NULL,
	`personevunitstatste_net_pts_w_percent` TEXT NOT NULL,
	`personevunitstatste_s_srv_points_play` TEXT NOT NULL,
	`personevunitstatste_s_srv_points_w` TEXT NOT NULL,
	`personevunitstatste_s_srv_speed_mph` TEXT NOT NULL,
	`personevunitstatste_s_srv_w_percent` TEXT NOT NULL,
	`personevunitstatste_srv_winner` TEXT NOT NULL,
	`personevunitstatste_total_pts_w` TEXT NOT NULL,
	`personevunitstatste_unforced_er` TEXT NOT NULL,
	`personevunitstatste_volley_w` TEXT NOT NULL,
	`personevunitstatste_winners` TEXT NOT NULL,
	`team_ctrycod` TEXT NOT NULL,
	`team_ctryln` TEXT NOT NULL,
	`team_ctrysn` INT NOT NULL,
	`team_ln` TEXT NOT NULL,
	`team_register` TEXT NOT NULL,
	`team_sexcod` TEXT NOT NULL,
	`team_sn` TEXT NOT NULL,
	`team_typeln` TEXT NOT NULL,
	`teamevunitstatste_ace` TEXT NOT NULL,
	`teamevunitstatste_backhand_w` TEXT NOT NULL,
	`teamevunitstatste_break_pts_conv` TEXT NOT NULL,
	`teamevunitstatste_break_pts_conv_percent` TEXT NOT NULL,
	`teamevunitstatste_break_pts_oppo` TEXT NOT NULL,
	`teamevunitstatste_double_fault` TEXT NOT NULL,
	`teamevunitstatste_f_srv_percent` TEXT NOT NULL,
	`teamevunitstatste_f_srv_pts_play` TEXT NOT NULL,
	`teamevunitstatste_f_srv_pts_w` TEXT NOT NULL,
	`teamevunitstatste_f_srv_speed_mph` TEXT NOT NULL,
	`teamevunitstatste_f_srv_w_percent` TEXT NOT NULL,
	`teamevunitstatste_forehand_w` TEXT NOT NULL,
	`teamevunitstatste_net_pts_play` TEXT NOT NULL,
	`teamevunitstatste_net_pts_w` TEXT NOT NULL,
	`teamevunitstatste_net_pts_w_percent` TEXT NOT NULL,
	`teamevunitstatste_s_srv_points_play` TEXT NOT NULL,
	`teamevunitstatste_s_srv_points_w` TEXT NOT NULL,
	`teamevunitstatste_s_srv_speed_mph` TEXT NOT NULL,
	`teamevunitstatste_s_srv_w_percent` TEXT NOT NULL,
	`teamevunitstatste_srv_winner` TEXT NOT NULL,
	`teamevunitstatste_total_pts_w` TEXT NOT NULL,
	`teamevunitstatste_unforced_er` TEXT NOT NULL,
	`teamevunitstatste_volley_w` TEXT NOT NULL,
	`teamevunitstatste_winners` TEXT NOT NULL,
	`evunitinfote_isevunitset` TEXT NOT NULL,
	`evunitinfote_ms1a` TEXT NOT NULL,
	`evunitinfote_ms1b` TEXT NOT NULL,
	`evunitinfote_ms2a` TEXT NOT NULL,
	`evunitinfote_ms2b` TEXT NOT NULL,
	`evunitinfote_ms3a` TEXT NOT NULL,
	`evunitinfote_ms3b` TEXT NOT NULL,
	`evunitinfote_wonmatchesa` TEXT NOT NULL,
	`evunitinfote_wonmatchesb` TEXT NOT NULL,
	`evunitinfote_gs2a` TEXT NOT NULL,
	`evunitinfote_gs3a` TEXT NOT NULL
) ENGINE = MYISAM ;

